Kapitel 11. Internet
Zurück | 11.3 E-Mail | Weiter

## 11.3 E-Mail

Elektronische Post (E-Mail) ist sicher eine der wichtigsten und beliebtesten Anwendungen im Internet. Der Austausch von Nachrichten ist auch gleichzeitig einer der ältesten Dienste im Netz. Um mit Ihrem Linux-System Mail versenden und empfangen zu können, reicht es im einfachsten Fall aus, die passenden Einstellungen im Netscape Communicator vorzunehmen. Doch für ein „erwachsenes“ Debian GNU-System sollte man sich einfach ein paar Minuten mehr Zeit nehmen und einen richtigen Mailserver konfigurieren.

Wie Sie vielleicht bei der Installation des Basissystems schon bemerkt haben, kommen Sie nicht um die Installation eines MTA (Mail Transfer Agent) herum. Standardmäßig benutzt Debian GNU/Linux hierzu das Programm `exim`, Sie können aber auch `smail`, `qmail` oder `sendmail` verwenden. Im einfachsten Fall haben Sie bei der Installation von `exim` einfach den Punkt 5, `No Configuration`, gewählt. Das ist nicht weiter schlimm, `exim` wird so einfach nicht funktionieren...

Die Installation eines eigenen Mailservers auf Ihrem Rechner hat den entscheidenden Vorteil, dass Sie die von Ihnen erstellten Mails jederzeit abschicken können. Schicken Sie die Mail einfach an den lokalen Mailserver, und wenn Sie das nächste Mal die Verbindung zu Ihrem Provider herstellen, werden alle Mails ausgeliefert. Somit müssen Sie nicht für jede einzelne Mail die Verbindung aufbauen. Dazu müssen Sie aber zunächst `exim` neu konfigurieren:

Starten Sie (als Superuser) das Programm `eximconfig`:

    hoshi:/# eximconfig
    You already have an exim configuration. Continuing with eximconfig
    will overwrite it. It will not keep any local modifications you have made.
    If that is not your intention, you should break out now. If you do continue,
    then your existing file will be renamed with .O on the end.
    [---Press return---]

Zuerst bekommen Sie einen Hinweis, dass bereits eine Konfigurationsdatei für `exim` gefunden wurde. Diese wird während der neuen Konfiguration in `/etc/exim.conf.O`umbenannt.

    =========================================================================
    You must choose one of the options below:

     (1) Internet site; mail is sent and received directly using SMTP. If your
         needs don't fit neatly into any category, you probably want to start
         with this one and then edit the config file by hand.

     (2) Internet site using smarthost: You receive Internet mail on this
         machine, either directly by SMTP or by running a utility such as
         fetchmail. Outgoing mail is sent using a smarthost. optionally with
         addresses rewritten. This is probably what you want for a dialup
         system.

     (3) Satellite system: All mail is sent to another machine, called a "smart
         host" for delivery. root and postmaster mail is delivered according
         to /etc/aliases. No mail is received locally.

     (4) Local delivery only: You are not on a network.  Mail for local users
         is delivered.

     (5) No configuration: No configuration will be done now; your mail system
         will be broken and should not be used. You must then do the
         configuration yourself later or run this script, /usr/sbin/eximconfig,
         as root. Look in /usr/share/doc/exim/example.conf.gz

    Select a number from 1 to 5, from the list above.
    Enter value (default=`1', `x' to restart): 2

Sie müssen sich nun für einen der fünf möglichen Punkte entscheiden. Punkt 5 erstellt keine Konfigurationsdatei. Dies ist die schlechteste Wahl, da so Ihr System keine Mails ausliefern wird. Punkt 4 ist für Systeme ohne Netzanbindung (also weder über eine Netzwerkkarte noch über ein Modem oder per ISDN) sinnvoll; auch dies lassen wir jetzt außen vor. Ein Debian GNU/Linux-Rechner ohne Netzwerk ist kein „richtiger“ Computer. `;-))` . Punkt 3 würde alle Mails zu einem „Smarthost“ ausliefern; dies ist im Allgemeinen ein Rechner bei Ihrem Provider mit einer guten Anbindung ans Netz und einem sinnvoll konfigurierten Mailserver. Allerdings wird keine Mail an die Benutzer (außer `root` und `postmaster`) ausgeliefert...; das ist auch nicht erstrebenswert.

Bleiben noch die Punkte 1 und 2 übrig. Punkt 1 ist auszuwählen, wenn keiner der anderen Punkte Ihren Bedürfnissen genügt. Hierbei werden alle Mails direkt an den Empfänger beziehungsweise dessen Mailserver ausgeliefert. Eine solche Konfiguration ist für Einsteiger nicht sinnvoll, da noch sehr viel von Hand geändert werden muss.

In den meisten Fällen ist der Punkt 2 also der optimale; diesen werden wir jetzt exemplarisch durchgehen:

    ====================================================================
    What is the `visible' mail name of your system? This will appear on
    From: lines of outgoing messages.
    Enter value (default=`localhost', `x' to restart): hoshi.openoffice.de

Die erste Frage dreht sich um den „sichtbaren“ Namen Ihres Systems. Dies ist im Normalfall der volle Name des Rechners, unter dem dieser auch von anderen Systemen im Netz erreichbar ist. Dies muss nicht zwingend mit einem Teil Ihrer E-Mail-Adresse identisch sein. Im Zweifelsfall fragen Sie Ihren Provider nach der richtigen Einstellung.

    =====================================================================
    Does this system have any other names which may appear on incoming
    mail messages, apart from the visible name above (hoshi.openoffice.de) and
    localhost?

    By default all domains will be treated the same; if you want different
    domain names to be treated differently, you will need to edit the config
    file afterwards: see the documentation for the "domains" director
    option.

    If there are any more, enter them here, separated with spaces or commas.
    If there are none, say `none'.
    Enter value (default=`none', `x' to restart):

Sie können hier noch weitere Namen für Ihr System angeben, die in den Mails auftauchen, die an Ihr System geliefert werden. Dies kann zum Beispiel der Fall sein, wenn Sie den Namen Ihres Rechners verändert haben und noch nicht alle Bekannten von der neuen Adresse unterrichtet haben oder wenn Sie mehrere Domains auf einem Rechner betreiben. Normalerweise müssen Sie hier nichts eingeben.

    ======================================================================
    All mail from here or specified other local machines to anywhere on
    the internet will be accepted, as will mail from anywhere on the
    internet to here.

    Are there are any domains you want to relay mail for---that is, you
    are prepared to accept mail for them from anywhere on the internet, but
    they are not local domains.

    If there are any, enter them here, separated with spaces or commas. You
    can use wildcards. If there are none, say `none'. If you want to relay
    mail for all domains that specify you as an MX, then say `mx'
    Enter value (default=`none', `x' to restart):

Diese Frage betrifft das Mail-„Relaying“, also das Weiterleiten von Mails, die nicht für Ihren Rechner bestimmt sind. Auch diese Angabe werden Sie im Normalfall überspringen können.

    ======================================================================
    Obviously, any machines that use us as a smarthost have to be excluded
    from the relaying controls, as using us to relay mail for them is the
    whole point.

    Are there any networks of local machines you want to relay mail for?

    If there are any, enter them here, separated with spaces or commas. You
    should use the standard address/length format (e.g. 194.222.242.0/24)
    If there are none, say `none'.

    You need to double the colons in IPv6 addreses (e.g. 5f03::1200::836f::::/48)
    Enter value (default=`none', `x' to restart):

Hier werden Sie gefragt, ob Sie Mail für Rechner in Ihrem Netz „relayen“ wollen, also als „Smarthost“ für andere auftreten wollen. Auch dies überspringen wir einfach. (Wenn Sie tiefer in die Materie der Mailserver einsteigen wollen, lesen Sie bitte die Dokumentation zu dem betreffenden MTA).

    ========================================================================
    You may want to filter out unsolicited commercial email, (UCE, also known
    as spam). Unfortunately it is difficult keeping up with all the spamming
    sites and abused relays.

    The Realtime Blackhole List is a spam filter that someone else maintains
    (see http://maps.vix.com/rbl/). They are very quick to add sites, so
    if you bounce on this you may occasionally miss legitimate mail. Adding
    a header is an alternative---then individual users can choose what to do
    with RBL mail using their personal filter files.

    Note that the RBL only works if you receive mail directly. If it is stored
    for you at your ISP, the RBL won't work as it depends on the IP address the
    connection comes from.

    Would you like to use the RBL? ('f'ilter, 'r'eject, or 'n'o)?
    Enter value (default=`n', `x' to restart):

Hier geht es um unerwünschte Mails, so genannten SPAM. Sie können diese ausfiltern; dies funktioniert aber nur, wenn das System von außen direkt Mails entgegennimmt. Wenn Sie Ihre Mail via POP3 abholen, übergehen Sie auch diesen Punkt.

    ====================================================================
    Which machine will act as the smarthost and handle outgoing mail?

    Enter value (`x' to restart): mail.openoffice.de
    Names are localhost:hoshi.openoffice.de!

Hier nun die Frage nach dem Mailserver Ihres Providers, der als Smarthost benutzt werden soll. Geben Sie hier den Namen des Servers an; im Zweifelsfall fragen Sie Ihren Provider nach dem Namen. Häufig wird ein Konstrukt: mail.providername.de gewählt; dies muss aber nicht so sein.

    =====================================================================
    Mail for the `postmaster' and `root' accounts is usually redirected
    to one or more user accounts, of the actual system administrators.
    By default, I'll set things up so that mail for `postmaster' and for
    various system accounts is redirected to `root', and mail for `root'
    is redirected to a real user.  This can be changed by editing /etc/aliases.

    Note that postmaster-mail should usually be read on the system it is
    directed to, rather than being forwarded elsewhere, so (at least one of)
    the users you choose should not redirect their mail off this machine.

    Which user account(s) should system administrator mail go to ?
    Enter one or more usernames separated by spaces or commas .  Enter
    `none' if you want to leave this mail in `root's mailbox - NB this
    is strongly discouraged.  Also, note that usernames should be lowercase!
    Enter value (`x' to restart): fr

Sie können hier einen Namen für den Benutzer wählen (hier: `fr`), der eventuell auftretende Fehlermeldungen, die das System per Mail versendet, erhalten soll. Normalerweise erhalten die Benutzer `root` und `postmaster` diese Mails.

    =======================================================================
    You already have an /etc/aliases file. Do you want to replace this with
    a new one (the old one will be kept and renamed to aliases.O)? (y/n)
    Enter value (default=`y', `x' to restart):

In der Datei `/etc/aliases` können Sie eigene Abkürzungen systemweit definieren. `eximconfig` trägt dort den vorab gewählten Benutzer auch über einen Alias ein, so dass dieser die Fehler-Mails bekommt.

Wenn Sie zum Beispiel möchten, dass der Benutzer `fr` mit der E-Mail Adresse `<fr@openoffice.de>` auch als `frank.ronneburg` (komplette Adresse: `<frank.ronneburg@openoffice.de>`, das ist nur ein Beispiel; bitte schicken Sie keine Mails an diese Adresse!) zu erreichen ist, tragen Sie Folgendes in die Datei `/etc/aliases` ein:

    frank.ronneburg:	fr

    The following configuration has been entered:

    =======================================================================
    Mail generated on this system will have `hoshi.openoffice.de' used
    as the domain part (after the @) in the From: field and similar places.

    The following domain(s) will be recognised as referring to this system:
     localhost, hoshi.openoffice.de

    Mail for postmaster, root, etc. will be sent to fr.

    Local mail is delivered.

    Outbound remote mail is sent via mail.openoffice.de.

    Is this OK ?  Hit Return or type `y' to confirm it and install,
    or `n' to make changes (in which case we'll go round again, giving you
    your previous answers as defaults.     (y/n) y

Zum Abschluss erhalten Sie noch einmal eine Übersicht, bevor die Konfiguration geschrieben wird:

    Keeping previous /etc/exim.conf as /etc/exim.conf.O

    Keeping previous /etc/aliases as /etc/aliases.O

    Keeping previous /etc/mailname as /etc/mailname.O

    Configuration installed.

Fertig. Nun können Sie versuchen, E-Mails zu verschicken. Bitte versuchen Sie zuerst, lokal auf Ihrem Rechner zwischen verschiedenen Benutzern Mails zu versenden. Wenn dies funktioniert, können Sie auch die Verbindung ins Netz testen.

Zusätzlich kann noch für jeden Benutzer, der Mails nach draußen senden können soll, ein Eintrag in `/etc/email-addresses` gemacht werden. Dieser sorgt dafür, dass alle Vorkommen Ihrer lokalen Adresse in eine von Ihrem Mail-Provider akzeptierte Adresse umgesetzt werden. Die Einträge haben die Form `user: mailuser@mailprovider`, also z.B. `root: matt.schmitt00@gmx.de`.

Viele Provider verlangen, dass man zuerst seine Mails abruft, bevor man welche verschickt; siehe dazu auch „fetchmail“ .

Doch nun zu den eigentlichen Programmen, mit denen Sie Ihre E-Mails bearbeiten können.

### 11.3.1 mutt

`mutt` ist ein von Michael R. Elkins entwickelter MUA (Mail User Agent), der als Nachfolger des mittlerweile nicht mehr weiterentwickelten Programms `elm` gilt. `mutt` bietet alle nur denkbaren Funktionen und ist komplett konfigurierbar.

`mutt` besitzt eine textbasierte Oberfläche, ist also nicht per Maus zu steuern. Dies stellt aber kein Manko dar. Bedenken Sie, dass Sie E-Mails sowieso als Text verfassen, also die Maus nicht benötigen. Mit einigen wenigen Kommandos (und den Fingern auf der Tastatur...) lässt sich `mutt` sehr schnell und effizient benutzen. Das wichtigste Kommando ist am Anfang sicher der Druck auf die Taste `?`: Mit dieser rufen Sie die Hilfe von `mutt` auf. An dieser Stelle auch gleich der Hinweis: Alle Veränderungen, die Sie an der Tastaturbelegung von `mutt` vornehmen, werden gleich in die Hilfe übernommen.

Abbildung 11.22. mutt

Wie schon erwähnt, ist `mutt` individuell konfigurierbar. Alle möglichen Optionen hier zu beschreiben, würde zu weit führen.

Die meisten Benutzer werden sicher ihre Mail von einem POP3-Server ihres Providers beziehen.

### Mutt-Konfigurationsdateien

Mutt sucht nach der zentralen Konfigurationsdatei `.muttrc` zunächst im Heimatverzeichnis (`~/`) des Benutzers. Wird dort keine Konfigurationsdatei gefunden, so wird versucht, eine solche innerhalb des Verzeichnisses `~/.mutt/` zu finden. Innerhalb der Konfigurationsdatei `.muttrc` können weitere Dateien eingelesen werden (beispielsweise `.muttpersonal` oder `.mutt-gpg`). Übersichtlicher ist es, wenn alle diese Dateien im Verzeichnis `~/.mutt/` abgelegt sind.

Die hierzu nötigen Einträge in der Datei `~/.muttrc` sehen wie folgt aus:

    set pop_host=pop3.openoffice.de
    set pop_user=popname
    set pop_delete

Sie müssen natürlich den Namen des Mailservers sowie Ihren Benutzernamen anpassen. Der Eintrag `set pop_delete` veranlasst den POP-Server, die empfangenen Mails auf dem Server zu löschen. Zu Testzwecken können Sie diesen Eintrag erst mal weglassen; Sie bekommen dann aber auch die bereits empfangenen Mails beim nächsten Mal erneut. Drücken Sie nun die Taste `G`, und `mutt` stellt die Verbindung zum Server her und überträgt Ihre Mails.

Damit sollten Sie erst einmal in der Lage sein, Mails zu senden und zu empfangen.

#### 11.3.1.1 mutt und GnuPG

Um Mail mit `GnuPG` zu signieren oder zu verschlüsseln, müssen Sie nur wenige Änderungen an Ihrer `~/.muttrc` vornehmen. Natürlich sollten Sie zuerst `GnuPG` installieren und ein Schlüsselpaar erzeugt haben. Die notwendigen Schritte sind im Abschnitt „Verschlüsselung“ beschrieben.

Weitere Informationen zu `mutt` finden Sie unter http://www.mutt.org.

#### 11.3.1.2 Empfängerabhängige Signaturen

`mutt` besitzt eine ganze Reihe nützlicher Funktionen, die durch entsprechende Anpassungen verfügbar gemacht werden. Beispielsweise können Signaturen je nach Empfänger unterschiedlich gestaltet werden. Hierzu sind Anpassungen wie im Folgenden beschrieben notwendig:

    send-hook . set signature=~/.signature
    send-hook firma set signature=~/.signature-firma

Dieses würde für den Empfänger „firma“ eine individuelle Signatur verwenden, alle anderen Empfänger müssen mit einer allgemeinen Signatur vorlieb nehmen.

### 11.3.2 fetchmail

`fetchmail` dient zum Empfangen und Weiterleiten von „Remote“-E-Mail über TCP/IP-Verbindungen (wie zum Beispiel SLIP- oder PPP-Verbindungen). Es empfängt E-Mail vom Remote-Mail-Server und leitet diese an das lokale Mailsystem weiter, so dass Sie die Mails mit jedem normalen Mailprogramm (beispielsweise `elm` oder `mutt`) lesen und bearbeiten können.

`fetchmail` unterstützt alle üblichen Mail-Empfangsprotokolle, die im Internet gebräuchlich sind: POP2, POP3 (inklusive POP3 mit RFC1938-Einmalpasswörtern), RPOP, APOP, KPOP, Compuserve's POP3 mit RPA, Microsoft's NTLM, Daemon Internet's SDPS, alle Varianten von IMAP (inklusive IMAP4rev1 mit RFC1731 Kerberos v4- oder GSSAPI-Authentifizierung oder CRAM-MD5-Authentifizierung) und ESMTP ETRN. Fetchmail unterstützt auch die „End-to-end“-Encryption mittels OpenSSL.

Um `fetchmail` unter Debian GNU/Linux benutzen zu können, müssen Sie zunächst das eigentliche Paket installieren. Am einfachsten benutzen Sie hierzu das Kommando `apt-get install fetchmail`. Leider ist damit die Installation noch nicht ganz abgeschlossen; Sie müssen nun noch die Datei `~/.fetchmailrc` erzeugen. Hierzu gibt es in der Dokumentation ein Skript, das die Konfiguration für Sie erledigen kann. Sie können dies als Superuser (root) aufrufen oder mit dem Kommando

    su -c "sh /usr/doc/fetchmail/contrib/fetchsetup"

starten; auch hier werden Sie nach dem Passwort für den Superuser gefragt.

Hier ein Beispiel für eine Konfiguration mit dem normalen POP3-Protokoll:

    bash-2.04$ su -c "sh /usr/doc/fetchmail/contrib/fetchsetup"
    Password:

    # Fetchsetup is a shell script for creating a .fetchmailrc file,
    # that will be used by the program "fetchmail" to connect to your
    # mail domain and retrieve your mail.
    # This script is linux specific, so it may not work on another system.
    # Kent Robotti <krobot@erols.com> (3-31-99)

    Continue? (Y/n) :

    Remote mail site?: pop.boo.com   <Your service providers mail domain name>
    Remote mail site?: mail.openoffice.de

    Protocol?: pop3   <My service provider uses the 'pop3' mail protocol>
    Protocol?: auto   <If not sure put: auto>
    Choices: apop auto etrn imap imap-gss imap-k4 kpop pop2 pop3 rpop sdps
    Protocol?: pop3

    Remote username?: jerry   <My username or login is jerry>
    Remote username?: hoshi

    Remote password?: ?       <What's the password for?: hoshi>
    Remote password?: XXXXXXX

    Create /root/.fetchmailrc file? (Y/n) :

    This is your /root/.fetchmailrc file.

    poll "mail.openoffice.de"
    protocol pop3
    username "hoshi"
    password "aa"
    mda "/usr/bin/procmail -d %s"

    Fetchmail will retrieve your mail and put it in:
    /var/spool/mail/fr

    I put that (m)ail (d)elivery (a)gent in .fetchmailrc
    because i found it on your system, this doesn't mean
    it's correct or the one you want to use.

    The first time you run fetchmail, you should run it
    this way: # fetchmail -k

Beachten Sie, dass das Passwort bei der Eingabe angezeigt wird und auch im Klartext, also unverschlüsselt, in der Datei gespeichert wird. Sorgen Sie dafür, dass die Zugriffsrechte so gesetzt sind, dass niemand anderes Ihr Passwort aus der Datei lesen kann.

Wenn Sie, wie hier gezeigt, eine Datei `.fetchmailrc` für einen normalen Benutzer anlegen wollen, müssen Sie diese später noch in das entsprechende Verzeichnis kopieren und mit den nötigen Zugriffsrechten versehen.

Die so erzeugte Datei hat dann folgenden Inhalt:

    poll "mail.openoffice.de"
    protocol pop3
    username "hoshi"
    password "XXXXXX"
    mda "/usr/bin/procmail -d %s"

Der Aufbau ist sehr einfach und Sie können sich auch sehr schnell eine solche Datei mit einem Texteditor selbst erzeugen, ohne das Konfigurationsprogramm zu Hilfe zu nehmen. Neben den Einträgen für den Mailserver (poll), das Protokoll (protocol), den Benutzernamen (username) und dem Passwort (password) findet sich am Ende der Datei der Eintrag `mda`. Dieser stellt den Pfad und das Kommando mit weiteren Parametern dar, wie der zu verwendende Mail Delivery Agent (MDA) aufgerufen werden soll. In diesem Beispiel wird das Programm `procmail` benutzt, das Ihnen viele weitere Möglichkeiten bietet, Mails vor dem Lesen bzw. vor der Auslieferung in eine Mailbox zu bearbeiten.

Wenn Sie `procmail` nicht installiert haben, wird `fetchmail` beispielsweise `smail`, `sendmail` oder `exim` direkt verwenden.

Wenn Sie die erste Konfiguration von `fetchmail` abgeschlossen haben, können Sie als ersten Versuch das Kommando `fetchmail -k` aufrufen. Es wird damit versucht, alle Mails vom angegebenen Mailserver abzuholen und in die lokale Mailbox zu kopieren. Die Mails werden durch die Option `-k` nicht vom Server gelöscht; dies sollten Sie bei Ihren ersten Versuchen auch so belassen.

`fetchmail` verfügt über eine ganze Reihe weiterer Optionen und wie jedes gute GNU-Programm können Sie mit dem Parameter `--h` etwas mehr über diese Optionen erfahren:

    usage:  fetchmail [options] [server ...]
      Options are as follows:
      -?, --help        display this option help
      -V, --version     display version info
      -c, --check       check for messages without fetching
      -s, --silent      work silently
      -v, --verbose     work noisily (diagnostic output)
      -d, --daemon      run as a daemon once per n seconds
      -N, --nodetach    don't detach daemon process
      -q, --quit        kill daemon process
      -L, --logfile     specify logfile name
          --syslog      use syslog(3) for most messages when running as a daemon
          --invisible   don't write Received & enable host spoofing
      -f, --fetchmailrc specify alternate run control file
      -i, --idfile      specify alternate UIDs file
          --postmaster  specify recipient of last resort
          --nobounce    redirect bounces from user to postmaster.
      -I, --interface   interface required specification
      -M, --monitor     monitor interface for activity
          --plugin      specify external command to open connection
          --plugout     specify external command to open smtp connection
      -p, --protocol    specify retrieval protocol (see man page)
      -U, --uidl        force the use of UIDLs (pop3 only)
      -P, --port        TCP/IP service port to connect to
          --preauth     preauthentication type (password/kerberos/ssh)
      -t, --timeout     server nonresponse timeout
      -E, --envelope    envelope address header
      -Q, --qvirtual    prefix to remove from local user id
      -u, --username    specify users's login on server
      -a, --all         retrieve old and new messages
      -K, --nokeep      delete new messages after retrieval
      -k, --keep        save new messages after retrieval
      -F, --flush       delete old messages from server
      -n, --norewrite   don't rewrite header addresses
      -l, --limit       don't fetch messages over given size
      -w, --warnings    interval between warning mail notification
      -S, --smtphost    set SMTP forwarding host
      -D, --smtpaddress set SMTP delivery domain to use
      -Z, --antispam,   set antispam response values
      -b, --batchlimit  set batch limit for SMTP connections
      -B, --fetchlimit  set fetch limit for server connections
      -e, --expunge     set max deletions between expunges
      -m, --mda         set MDA to use for forwarding
          --bsmtp       set output BSMTP file
          --lmtp        use LMTP (RFC2033) for delivery
      -r, --folder      specify remote folder name

Wenn Sie beim Start von `fetchmail` auf der Kommandozeile Parameter angeben, so werden diese die Werte, die in der Konfigurationsdatei stehen, überschreiben. Sie können auf der Kommandozeile mehrere verschiedene Server angeben, von denen versucht werden soll, Mails abzuholen. Ebenso können Sie in der Konfigurationsdatei mehrere Einträge haben, die solche Server beschreiben.

#### 11.3.2.1 Konfiguration

Konfigurationsparameter können wahlweise in einer Konfigurationsdatei oder auf der Kommandozeile angegeben werden. Sollen die im Folgenden beschriebenen Funktionen verändert werden, so ist in der Konfigurationsdatei immer das Schlüsselwort anzugeben.

-V --version

  Zeigt die Versionsinformationen zur installierten `fetchmail`-Version sowie zur Version des Linux-Kernels an. Es werden nur Informationen angezeigt und keinerlei Mails übertragen. Stattdessen werden, für jeden in der Konfiguration angegebenen Server, alle Konfigurationsoptionen angezeigt. Hier sehen Sie ein Beispiel für eine solche Konfiguration:

    bash-2.04$ fetchmail -V
    This is fetchmail release 5.3.4+NTLM+SDPS+NLS
    Linux sushi 2.3.47 #2 Wed Feb 23 16:32:17 CET 2000 i686 unknown
    Taking options from command line and /home/fr/.fetchmailrc
    Idfile is /home/fr/.fetchids
    Fetchmail will forward misaddressed multidrop messages to fr.
    Options for retrieving from hoshi@mail.openoffice.de:
      True name of server is mail.openoffice.de
      Protocol is POP3.
      Server nonresponse timeout is 300 seconds (default).
      Default mailbox selected.
      Only new messages will be retrieved (--all off).
      Fetched messages will not be kept on the server (--keep off).
      Old messages will not be flushed before message retrieval (--flush off).
      Rewrite of server-local addresses is enabled (--norewrite off).
      Carriage-return stripping is enabled (stripcr on).
      Carriage-return forcing is disabled (forcecr off).
      Interpretation of Content-Transfer-Encoding is enabled (pass8bits off).
      MIME decoding is disabled (mimedecode off).
      Idle after poll is disabled (idle off).
      Nonempty Status lines will be kept (dropstatus off)
      Messages will be delivered with "/usr/bin/procmail -d %s".
      Recognized listener spam block responses are: 571 550 501 554
      Single-drop mode: 1 local name(s) recognized.
      No UIDs saved from this host.

Diese Option ist bei der Fehlersuche in einer Konfiguration sehr hilfreich.

-c --check

  Gibt einen Statuscode zurück, aus dem ersichtlich ist, ob auf dem Server Mail zum Abholen bereitliegt oder nicht. Auch hierbei werden keine Daten übertragen oder auf dem Server gelöscht. Diese Option deaktiviert den „Dämon“-Modus. Weiterhin arbeitet diese Option nicht mit dem ETRN-Protokoll (RFC 1985) zusammen und ist etwas problematisch im Zusammenhang mit mehreren Sites. Der Statuswert ist negativ, wenn Sie gelesene, aber nicht gelöschte Mail in der Mailbox auf dem Server zurücklassen und das verwendete Protokoll bereits gelesene von neuen Nachrichten nicht unterscheiden kann. Diese Option funktioniert sehr gut mit IMAP, mit den meisten POP3-Servern und funktioniert nicht mit POP2.

-s --silent

  Unterdrückt alle Informationen über den Status oder den Fortschritt bei der Verarbeitung von Nachrichten (diese Meldungen werden normalerweise auf der Standardausgabe für Fehlermeldungen ausgegeben). Fehlermeldungen werden aber weiterhin dorthin ausgegeben. Mit der Option `--verbose` können Sie diese Option überschreiben.

-v --verbose

  Mit dieser Option werden alle Kontrollnachrichten, die zwischen `fetchmail` und dem Mailserver ausgetauscht werden, auf der Standardfehlerausgabe ausgegeben. Diese Option überschreibt die Option `--silent`. Wenn Sie diese Option doppelt (als `-v -v`) angeben, werden detailliertere Informationen ausgegeben.

-a --all

  (Schlüsselwort: all) Holt sowohl alte (bereits gelesene) sowie neue Nachrichten vom Server. Normalerweise werden nur neue, also ungelesene Nachrichten übertragen. Wenn POP3 als Protokoll verwendet wird, benutzt `fetchmail` das Kommando `RETR` statt `TOP`. POP2 verhält sich immer so, als ob diese Option aktiviert sei. Bei ETRN funktioniert diese Option nicht.

-k --keep

  (Schlüsselwort: keep) Normalerweise werden übertragene Nachrichten auf dem Mailserver gelöscht, so dass diese beim nächsten Mal nicht noch einmal übertragen werden. Diese Option belässt die übertragenen Mails auf dem Server. Diese Option funktioniert nicht mit ETRN.

-K --nokeep

  (Schlüsselwort: nokeep) Diese Option löscht die übertragenen Mails auf dem Server; dies ist auch die Standardeinstellung. Sie können diese Option auf der Kommandozeile angeben, falls Sie in der Konfigurationsdatei die Option `-k` angegeben haben.

-F --flush

  Diese Option funktioniert nur mit dem Protokollen POP3 oder IMAP. Alte Mails, die bereits übertragen wurden, werden auf dem Server gelöscht, bevor neue Nachrichten übertragen werden. Diese Option funktioniert nicht mit dem Protokoll ETRN. Bitte beachten Sie: Wenn Ihr Mailprogramm während der Übertragung abstürzt und `fetchmail` abgebrochen wird, werden beim nächsten Aufruf von `fetchmail` auch Nachrichten gelöscht, die Sie noch nie zu Gesicht bekommen haben. Normalerweise sollten Sie besser die Option `-K` benutzen, bei der die Mails nach der erfolgreichen Übertragung gelöscht werden.

-p --protocol

  (Schlüsselwort: proto[col]) Mit dieser Option können Sie das gewünschte Protokoll zur Kommunikation mit dem Mailserver angeben. Wenn kein Protokoll vorgegeben wird, wird der Wert `AUTO` verwendet. Sie können diese Option mit den folgenden Werten belegen:

  `AUTO` - Probiert die Protokolle IMAP, POP3 und POP2. Nicht verfügbare Protokolle werden übersprungen.

  `SDPS` - Benutzt das POP3-Protokoll mit den „Dämon Internet“-SDPS-Erweiterungen.

-U --uidl

  (Schlüsselwort: uidl) Benutzt bei der Verwendung von POP3 die UIDL (unique ID listing, beschrieben im RFC 1725). Die Überprüfung auf neue Nachrichten wird auf der Seite des Clients vorgenommen. Zusammen mit der Option `-k` lässt sich über eine Mailbox ein Verteiler für eine Gruppe von Benutzern realisieren.

-P --port

  (Schlüsselwort: port) Hiermit können Sie eine vom Standard abweichende Portnummer für das verwendete Protokoll angeben.

-t --timeout <Sekunden>

  (Schlüsselwort: timeout) Hiermit können Sie eine Zeit bestimmen, die `fetchmail` auf eine Antwort vom Server warten soll.

--plugin <Komando>

  (Schlüsselwort: plugin) Sie können ein externes Programm verwenden, um eine TCP-Verbindung aufzubauen. Dies kann bei der Verwendung einer Firewall sinnvoll sein. Dem Programm werden die beiden Parameter Servername und Portnummer übergeben, `fetchmail` schreibt und liest von der Standardein- und Ausgabe des Plug-Ins.

Wenn Sie mit den Einstellungen zufrieden sind, können Sie den Aufruf von `fetchmail` in die Skripte einbauen, die auf Ihrem System die TCP/IP-Verbindung zu Ihrem Provider aufbauen. Leider sind die Skripte `ip-up` und `ip-down` unter Debian noch nicht so weit vereinheitlicht, dass das Installationsprogramm von `fetchmail` dies für Sie erledigen könnte, so dass an dieser Stelle wieder Handarbeit angesagt ist. Sie finden unter `/usr/doc/fetchmail` die Skripte `fetchmail-up` und `fetchmail-down` als Beispiele. Sie sollten das Skript `fetchmail-up` an eine Stelle in das Skript `/etc/init.d/ip-up` einbauen, an der die IP-Verbindung bereits aufgebaut worden ist, so dass automatisch alle Mails abgeholt werden, nachdem Sie die Verbindung hergestellt haben. Entsprechend sollten Sie das Skript `fetchmail-down` vor dem Abbau der Verbindung einbauen, so dass vor dem endgültigen Ende der Verbindung noch einmal neue Mails abgeholt werden.

### 11.3.3 Evolution

In vielen Firmen, aber auch im privaten Bereich, wird Outlook zur Kommunikation, Terminplanung/-koordination, Adressverwaltung usw. eingesetzt. Die Verbindung dieser zentralen Funktionen innerhalb eines Programms hat dieser Software zu einer weiten Verbreitung verholfen. Die Firma Ximian hat mit dem auf Gnome aufsetzenden Evolution eine Software geschaffen, die nicht nur von der Funktionalität, sondern auch vom Aussehen her an MS-Outlook angelehnt ist. Dies erleichtert den Umstieg auf Linux am Desktop.

Abbildung 11.23. Evolution - Startbild

Beim ersten Start von Evolution können bestehende Daten, beispielsweise Mails oder Adressen, übernommen werden. Ein Assistent führt durch diesen Vorgang.

Abbildung 11.24. Evolution - Willkommen

Hier muss zunächst der Vor- und Nachname sowie die E-Mail-Adresse angegeben werden. Es gehört zum guten Ton im Netz, den tatsächlichen Vor- und Nachnamen anzugeben.

Abbildung 11.25. Evolution - Identität

Die Einlieferung von E-Mails kann auf verschiedensten Wegen erfolgen. Wenn die E-Mail direkt vom Server des Providers geholt wird, so wird dies meist über eines der Protokolle POP oder IMAP erfolgen. Wenn die Mails über ein externes Programm, wie beispielsweise `fetchmail`, abgeholt werden, so kann auch auf die lokal vorliegenden Dateien zugegriffen werden.

Abbildung 11.26. Evolution - Erhalten von E-Mail 1

Hier kann die Pause zwischen den Überprüfungen nach neuer E-Mail eingestellt werden.

Abbildung 11.27. Evolution - Erhalten von E-Mail 2

Um E-Mails zu versenden, muss an dieser Stelle ein Mailserver konfiguriert werden. Die notwendigen Daten erhalten Sie von Ihrem Provider.

Abbildung 11.28. Evolution - Verschicken von E-Mails

Evolution kann verschiedene Zugänge zu mehreren Providern verwalten. Die eben erstellte Konfiguration kann zum Standardzugang gemacht werden.

Abbildung 11.29. Evolution - Zugangsverwaltung

Stellen Sie hier die Zeitzone ein. Ein Mausklick auf die Karte vergrößert den entsprechenden Ausschnitt.

Abbildung 11.30. Evolution - Zeitzone

Wenn bereits andere Programmme zum Empfang von E-Mail verwendet wurden, so können hier die vorhandenen Daten importiert werden.

Abbildung 11.31. Evolution - Import von Daten

Wenn alle Daten erfolgreich eingegeben worden sind, wird Evolution gestartet.

Abbildung 11.32. Evolution - Fertig

Neben der Menüleiste am oberen Bildschirmrand finden Sie innerhalb des Fensters von Evolution auf der linken Seite einige Symbole zum direkten Zugriff auf die einzelnen Komponenten von Evolution.

Hier ist zunächst eine Zusammenfassung zu finden. In dieser ist eine Zusammenstellung der wichtigsten Informationen (Anzahl neuer Mails, aktuelle Termine und Aufgaben, Wetter, News...) zu sehen. Auch hier können Sie wieder direkt durch einen Mausklick auf die Komponenten zugreifen.

Abbildung 11.33. Evolution - Übersicht

Die E-Mail-Komponente bietet ein geteiltes Fenster: Im oberen Bereich ist eine Liste der eingegangenen Mails zu sehen, darunter der Inhalt der ausgewählten Mail. Evolution kann mit Anhängen an E-Mails umgehen: Diese werden am Ende der Mail angezeigt und können einzeln „ausgeklappt“ werden. Weiterhin können Mails nicht nur beantwortet, sondern auch weitergeleitet werden. Es können verschiedene Ordner angelegt werden, um gelesene Mail dort einzusortieren. Über einfach zu definierende Filter (diese können auch automatisch anhand einer E-Mail erzeugt werden) kann eine bessere Übersicht bei hohem Mail-Aufkommen erreicht werden. Evolution besitzt die Fähigkeit, Mails in so genannten „Threads“ darzustellen. Die E-Mail-Verschlüsselung mittels PGP oder GnuPG wird ebenfalls unterstützt.

Abbildung 11.34. Evolution - E-Mail

Die Kalenderfunktion bietet verschiedene Ansichten wie „Tag“, „Arbeitswoche“ (Montag-Freitag), „Woche“ und „Monat“. Ein Doppelklick auf eine Zeit im Kalender öffnet ein neues Fenster, in dem ein neuer Termin definiert werden kann.

Abbildung 11.35. Evolution - Kalender

Zurück | Nach oben | Weiter
11.2 Webbrowser | Zum Anfang | 11.4 Dateitransfer

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).